---
title: BasicCardRequest
slug: Web/API/BasicCardRequest
tags:
  - API
  - Basic Card Payment
  - BasicCardRequest
  - Commerce
  - Credit
  - Debit
  - Dictionary
  - Payment Method
  - Payment Request
  - Payment Request API
  - Reference
  - card
  - payment
---
<p>{{securecontext_header}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>BasicCardRequest</code></strong> dictionary is a JavaScript object-structure that can be used in the <a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a>. The properties of <code>BasicCardRequest</code> are defined in the {{anch("Specifications", "Basic Card Payment spec")}}).</p>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{domxref('BasicCardRequest.supportedNetworks')}} {{optional_inline}} {{securecontext_inline}}</dt>
	<dd>An optional array of {{domxref("DOMString")}}s representing the card networks that the retailer supports (e.g. "<code>amex"</code>, "<code>mastercard"</code>); see {{anch("Card network identifiers")}} for a complete list. If the property is missing, it implies that all networks are supported.</dd>
</dl>

<h3 id="Obsolete_properties">Obsolete properties</h3>

<p>These properties have been removed from the Payment Method: Basic Card specification and should no longer be used.</p>

<dl>
	<dt>{{domxref('BasicCardRequest.supportedTypes')}} {{obsolete_inline}} {{optional_inline}} {{securecontext_inline}}</dt>
	<dd>This obsolete property was used to provide an optional array of {{domxref("DOMString")}}s representing the card types that the retailer supports (e.g. <code>credit</code>, <code>debit</code>, <code>prepaid</code>). If the property is missing, it implies that all the card types are supported. Instead of using this property, it is up to the server to check support for the card given the information coded into the account number.</dd>
</dl>

<h2 id="Card_network_identifiers">Card network identifiers</h2>

<p>The W3C maintains an official list of <a href="https://www.w3.org/Payments/card-network-ids">approved card network identifier strings</a>, which may be used in the {{domxref("BasicCardRequest.supportedNetworks", "supportedNetworks")}} list. Those are:</p>

<div class="twocolumns">
<ul>
	<li><code>amex</code></li>
	<li><code>cartebancaire</code></li>
	<li><code>diners</code></li>
	<li><code>discover</code></li>
	<li><code>jcb</code></li>
	<li><code>mastercard</code></li>
	<li><code>mir</code></li>
	<li><code>unionpay</code></li>
	<li><code>visa</code></li>
</ul>
</div>

<h2 id="Examples">Examples</h2>

<p>In the following example, the {{domxref("PaymentRequest.PaymentRequest","PaymentRequest()")}} constructor is used to create a new payment request, which takes three objects as parameters — one containing details of the payment methods that can be used for the payment, one containing details of the actual order (such as items bought and shipping options), and an optional object that describes what data is needed to fullfil the payment (e.g., a shipping address).</p>

<p>The first of these three (<code>supportedInstruments</code> in the example below) contains a <code>data</code> property that has to conform to the structure defined by the <code>BasicCardRequest</code> dictionary. </p>

<pre class="brush: js">var supportedInstruments = [{
  <code>supportedMethods: 'basic-card',
  data: {
    supportedNetworks: ['visa', 'mastercard', 'amex', 'jcb',
                        'diners', 'discover', 'mir', 'unionpay']
  }</code>
}];

var details = {
  total: {label: 'Donation', amount: {currency: 'USD', value: '65.00'}},
  displayItems: [
    {
      label: 'Original donation amount',
      amount: {currency: 'USD', value: '65.00'}
    }
  ],
  shippingOptions: [
    {
      id: 'standard',
      label: 'Standard shipping',
      amount: {currency: 'USD', value: '0.00'},
      selected: true
    }
  ]
};

var options = {requestShipping: true};

try {
  var request = new PaymentRequest(supportedInstruments, details, options);
  // Add event listeners here.
  // Call show() to trigger the browser's payment flow.
  request.show().then(function(instrumentResponse) {
    // Do something with the response from the UI.
  })
  .catch(function(err) {
    // Do something with the error from request.show().
  });
} catch (e) {
  // Catch any other errors.
}</pre>

<p>Once the payment flow has been triggered using {{domxref("PaymentRequest.show()")}} and the promise resolves successfully, the {{domxref("PaymentResponse")}} object available inside the fulfilled promise (<code>instrumentResponse</code> above) will have a {{domxref("details","PaymentResponse.details")}} property that will contain response details. This has to conform to the structure defined by the {{domxref("BasicCardResponse")}} dictionary, and may look something like this:</p>

<pre class="brush: js">{
  "cardNumber' : '9999999999999999",
  "cardholderName' : 'Mr Dick Straw",
  "cardSecurityCode" : "999",
  "expiryMonth" : "07",
  "expiryYear" : "2021",
  "billingAddress" : {
    "country" : "GB",
    // etc. billing address is a <a href="/en-US/docs/Web/API/PaymentAddress">PaymentAddress</a> object
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Basic Card Payment','#basiccardrequest-dictionary','BasicCardRequest')}}</td>
			<td>{{Spec2('Basic Card Payment')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BasicCardRequest")}}</p>
</div>
